> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/api-documentation/api-guides/delivery-and-shipping/shipping-1.md).

# Shipping Service

Defines shipping zones & delivery windows.

### Key features and benefits

* Creates and configures shipping zones
* Sets up delivery windows, including blackout days
* Sets up delivery times with multiple delivery slots per day
* Calculates shipping costs based on delivery time windows
* Finds locations from which orders can ideally be shipped or where customers can collect their orders
* Creates delivery zones based on postal codes
* Provides accurate delivery information to customers
* Gives customers the choice of their preferred delivery date and time
* Better organizes delivery routes
* Minimizes costs for shipping and delivery, for example, by creating zones that align with truck routes
* Validates date combinations, for example:
  * Delivery on a single date 22/12/2023 and non-delivery on the same single date 22/12/2023 is not possible
  * Delivery on a single date 22/12/2023 which overrides a non-delivery period 21-28/12/2023 is possible


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.emporix.io/api-documentation/api-guides/delivery-and-shipping/shipping-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
